Name:		qesteidutil
Version:	3.12.7
Release:	%mkrel 2
Summary:	Estonian ID card utility

Group:		Office/Utilities
License:	LGPLv2
URL:		http://id.eesti.ee
Source0:	http://archive.esteid.org/%{version}/%{name}-%{version}.tar.gz
Patch0:		qesteidutil-3.12.7-add-missing-conf.patch

BuildRequires:	cmake
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(Qt5Help)

Requires:	ccid
Requires:	opensc
Requires:	pcsc-lite
# fix mga#11352
Requires:	locales-et

%description
QEsteidUtil is a user-friendly application for managing Estonian ID Cards.
It can be used to to change and unlock PIN codes, examine the personal 
information stored on the card, extract and view the certificates, set 
up mobile ID and configure a personal @eesti.ee e-mail address.


%prep
%autosetup -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build


%files
%{_bindir}/qesteidutil
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/qesteidutil.desktop
%{_datadir}/icons/hicolor/*/apps/qesteidutil.png
%{_mandir}/man1/qesteidutil.1.*


%changelog
* Wed Oct 25 2017 sander85 <sander85> 3.12.7-2.mga6
+ Revision: 1173718
- Add conf that is not available when building offline
- New version: 3.12.7

* Mon Dec 19 2016 sander85 <sander85> 3.12.4-1.mga6
+ Revision: 1076125
- New version: 3.12.4

* Tue May 03 2016 sander85 <sander85> 3.12.2-1.mga6
+ Revision: 1008973
- New version: 3.12.2

* Thu Mar 03 2016 umeabot <umeabot> 3.10.1-3.mga6
+ Revision: 983978
- Rebuild for openssl

* Tue Feb 16 2016 umeabot <umeabot> 3.10.1-2.mga6
+ Revision: 962478
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 3.10.1-1.mga6
+ Revision: 845775
- New version: 3.10.1

* Wed Oct 15 2014 umeabot <umeabot> 3.8.0.0-3.mga5
+ Revision: 741444
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.0.0-2.mga5
+ Revision: 688478
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 sander85 <sander85> 3.8.0.0-1.mga5
+ Revision: 583573
- New version: 3.8.0.0

* Fri Jan 03 2014 tmb <tmb> 3.7.0.0-4.mga4
+ Revision: 564277
- fix linking of breakpad
- require locales-et (mga#11352)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jun 05 2013 sander85 <sander85> 3.7.0.0-2.mga4
+ Revision: 437735
- Obsolete devel package too

* Sun Jun 02 2013 sander85 <sander85> 3.7.0.0-1.mga4
+ Revision: 435413
- New version: 3.7.0.0

* Sun Jan 13 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 379827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 3.6.0-2.mga3
+ Revision: 340408
- update group

* Tue Sep 18 2012 sander85 <sander85> 3.6.0-1.mga3
+ Revision: 295926
- New version: 3.6.0

* Mon Jul 23 2012 sander85 <sander85> 3.5.0-2.mga3
+ Revision: 273718
- Fix build with gcc 4.7

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193396
- new version: 3.5.0

* Sun Dec 18 2011 fwang <fwang> 3.4.0-3.mga2
+ Revision: 183700
- br qtwebkit

  + sander85 <sander85>
    - rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89959
- imported package qesteidutil

